#ifndef XMATERIALVERTEXSTREAMROUTING_H
#define XMATERIALVERTEXSTREAMROUTING_H

#include "xasset.h"
#include "xmaterialstreamrouting.h"
#include "xd3dvertexdeclaration.h"

class XMaterialVertexStreamRouting : public XAsset
{
public:
    XMaterialVertexStreamRouting();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    QVector<XMaterialStreamRouting> mData;
    QVector<XD3DVertexDeclaration> mDecl;
};

#endif // XMATERIALVERTEXSTREAMROUTING_H
